# $Revision: 1.8 $, $Date: 2011/04/25 09:21:53 $
%define		_status		alpha
%define		_pearname	XML_GRDDL
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - A PHP library for dealing with GRDDL
Summary(pl.UTF-8):	%{_pearname} - biblioteka PHP do obsługi GRDDL
Name:		php-pear-%{_pearname}
Version:	0.2.0
Release:	1
License:	BSD Style
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	5a05730a0c21110c5f707d2ef73d7903
Patch0:		%{name}-paths.patch
URL:		http://pear.php.net/package/XML_GRDDL/
BuildRequires:	php-pear-PEAR >= 1:1.4.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-HTTP_Request2
Requires:	php-pear-Log
Requires:	php-pear-Net_URL2
Requires:	php-pear-PEAR-core >= 1.4.0
Requires:	php-pear-Validate
Requires:	php-tidy
Requires:	php-xsl
Obsoletes:	php-pear-XML_GRDDL-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Features:
 - Different XSLT engines can be used,
 - Merging of RDF results, as per spec,
 - Pretty close to passing GRDDL test suite tests.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Cechy:
 - możliwość wykorzystania różnych silników XSLT,
 - łączenie wyników RDF,
 - duża zgodność z zestawem testów GRDDL.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/XML_GRDDL/docs
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/GRDDL.php
%{php_pear_dir}/XML/GRDDL
%{php_pear_dir}/data/XML_GRDDL

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_GRDDL.spec,v $
Revision 1.8  2011/04/25 09:21:53  glen
- updated to: 0.2.0

Revision 1.7  2011/03/01 06:28:37  glen
- release 2

Revision 1.6  2011/01/23 01:03:31  sparky
- dropped -tests subpackage

Revision 1.5  2010/11/16 14:31:57  glen
- updated to: 0.1.2

Revision 1.4  2010/08/22 08:51:44  glen
- ensure rpmbuild macros present

Revision 1.3  2010/08/21 19:08:41  glen
- updated deps with pearize.sh
- release 2

Revision 1.2  2008/06/23 19:47:06  adamg
- updated to 0.1.1

Revision 1.1  2008/06/19 21:17:53  adamg
- new
